Package: org.codehaus.groovy.ast.expr

## [Java] Class MethodPointerExpression

- org.codehaus.groovy.ast.expr.MethodPointerExpression

-     public class MethodPointerExpression
      extends Expression

  Represents a method pointer on an object such as `foo.&bar` which means find the method pointer for the `bar` method on the `foo` instance. This is equivalent to: `foo.metaClass.getMethodPointer(foo, "bar")`

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Expression` | `expression` |
    `protected Expression` | `methodName` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodPointerExpression(Expression expression, Expression methodName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public Expression` | `getMethodName()`
    `` | `public String` | `getText()`
    `` | `public Class` | `getTypeClass()`
    `` | `public boolean` | `isDynamic()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### protected final Expression expression

    - #### protected final Expression methodName

  - ### Constructor Detail

    - #### public MethodPointerExpression(Expression expression, Expression methodName)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public Expression getMethodName()

    - #### @Override
      public String getText()

    - #### public Class getTypeClass()

    - #### public boolean isDynamic()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)